Leave a Reply

4 Comments on "JavaScript Drone App"

Notify of
avatar

Jun Campos
Guest
Jun Campos
2 months 14 hours ago

hi i get this error right on my first code line:var RollingSpider = require('rolling-spider');i installed npm install rolling-spider.  do i need to do other stuff? i'm running this code o mac terminal appmodule.js:540    throw err;    ^Error: Cannot find module 'xpc-connection'    at Function.Module._resolveFilename (module.js:538:15)    at Function.Module._load (module.js:468:25)    at Module.require (module.js:587:17)    at require (internal/module.js:11:18)    at Object.<anonymous> (/Users/enriquecampos/node_modules/noble/lib/mac/highsierra.js:7:21)    at Module._compile (module.js:643:30)    at Object.Module._extensions..js (module.js:654:10)    at Module.load (module.js:556:32)    at tryModuleLoad (module.js:499:12)    at Function.Module._load (module.js:491:3)

JangYu hong
Guest
JangYu hong
1 year 1 month ago

I'd like to know How to buy the drone which I could control with node.js.

Yevhenii Herasymchuk
Guest
Yevhenii Herasymchuk
4 months 8 days ago

Make sure the drone you purchase has bluetooth func. You can use Parrot's minidrones (cheap and simple).

JangYu hong
Guest
JangYu hong
1 year 1 month ago

I'd like to know How to buy the drone which I could control with node.js.

wpDiscuz